#### D.5.2.2 symNsym

Procedure from library `chern.lib` (see chern_lib).

Usage:
  symNsym(f, c); f polynomial; c list of polynomials

Return:
  list with 2 poly entries

Purpose:
  computes a symmetric and a non-symmetric part of f
  in terms of the elementary symmetric functions from c as well a non-symmetric remainder

Note:
  constants are considered symmetric

Example:

    LIB "chern.lib";
    ring r=0, (x,y,z, c(1..3)), dp;
    list l=c(1..3);
    // The symmetric part of f = 3x2 + 3y2 + 3z2 + 7xyz + y
    // in terms of the elementary symmetric functions c(1), c(2), c(3)
    // and the remainder
    poly f = 3x2 + 3y2 + 3z2 + 7xyz + y;
    print( symNsym(f, l) );
    // Take a symmetric polynomial in variables x and z
    f=x2+xz+z2;
    // Express it in terms of the elementary the symmetric functions
    print( symNsym(f, l)[1]);

User manual for Singular version 4.4.1, 2025, generated by texi2html.